
:root{
  --brown: #382923;
  --black: #191919;
  --lightDark: #434e52;
  --white: #ffffff;
  --green: #1db86d;
  --darkBlue: #394a6d;
  
}

*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html{
  scroll-behavior: smooth;
  overflow-y: scroll; 
   overflow-x: hidden;
  -webkit-overflow-scrolling: touch;
}
html, body {width: auto!important; overflow-x: hidden!important} 

body{
   margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Source Serif Pro', serif;
  letter-spacing: 1.5px;
  
}

.header{
  top:0;
  height: 100vh;
  width: auto;
  justify-content: center;
  align-items: center;
  position: relative;
}


  .header{
    background: linear-gradient(to bottom, rgba(29, 184, 109, 0.2), rgba(29, 184, 109, 0.4)), url('./rimgs/mountain-14.webp') center/cover fixed no-repeat;
  }

.navBtn{
  position: fixed;
  top: 5%;
  right: 5%;
  cursor: pointer;
  z-index:90;
}

#navBtn{
  background: #56ab2f;  
  background: -webkit-linear-gradient(to top, #a8e063, #56ab2f);
  background: linear-gradient(to top, #a8e063, #56ab2f);
  border: none;
  color: var(--white);
  padding: 0.5rem 1rem;
}

.nav-logo:hover{
  background: var(--grey);
  transition: all 0.5s ease-in-out;
}

.nav{
position: fixed;
top: 0;
left: 0;
height: 100%;
background: #56ab2f; 
background: -webkit-linear-gradient(to top, #a8e063, #56ab2f);
background: linear-gradient(to top, #a8e063, #56ab2f);  
z-index: 3;
}

.nav-links{
  list-style-type: none;
}

.nav-single-link{
  display: block;
  text-decoration: none;
  text-transform: capitalize;
  color: var(--brown);
  font-size: 1.5rem;
  padding: 0.5rem 1rem;
  transition: all 0.5s ease-in-out;
}
.nav-single-link:hover{
  background: var(--brown);
  color:var(--white);
  padding-left: 1.5rem;
}

.nav{
  width: 0;
  overflow: hidden;
  transition: all 0.5s linear;
}


.nav-show{
width: 10rem;
}

#logo{
  width: 60px; 
  margin: 1rem 1rem;
  border: 2px solid lightgreen;
  background-color: #fff; 
  border-radius: 50%;
  box-shadow:  1.5px 1.5px 1.5px rgba(78, 75, 75, 0.7);
}

  .banner{
  padding-top: 10rem;
  text-align: center;
  z-index: 3;
}

.banner-title{
  font-weight: 200;
  font-size: 2.5rem;
  text-transform: capitalize;
  color: var(--white);
  text-shadow: 1.5px 1.5px 1.5px rgba(0, 0, 0, 0.5);
}


.seven-lakes{
  font-size: 1.7rem;
  animation: fromRight;
  animation-duration: 4s;
  animation-delay: 2s;
  opacity: 0;
  animation-fill-mode: forwards;
}

@keyframes fromRight{
  0%{
    transform: translateY(100px);
    opacity: 0;
  }

  100%{
    transform: translateY(0);
    opacity: 1;
  }
}

.banner-title-h4{
  
  font-size: 1.5rem;
  text-transform: capitalize;
  color: var(--white);
  text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.5);
  animation: fromTransparent;
  animation-duration: 4s;
  animation-delay: 4s;
  opacity: 0;
  animation-fill-mode: forwards;
}


@keyframes fromTransparent{
  0%{
    opacity: 0;
  }
  100%{
    opacity: 1;
  }
}

.mountain-rila{
  background: var(--green);
  color: var(--white);
  text-align: center;
  padding-top: 1rem;
  border-top: 15px solid #1fad5f; 
}


#top{
  height: 200px;
  opacity: 0.2;
}

.rila-title{
  padding-bottom:2rem;
  font-size: 2.5rem;
  text-transform: capitalize;
  margin: 2rem auto 2rem;
}

#rila-title-underline{
  background: var(--white);
  margin: 0 auto;
  width: 12rem;
  height: 6rem;
  clip-path: polygon(50% 17%, 0 0, 100% 0);
}

#rila-section{
  margin: 0.5rem 1.2rem;
  /* font-size: 14px; */
  letter-spacing: 0.1rem;
  line-height: 1.5;
  text-align: justify;
  color: var(--white);
}



#forest-1{
  width: 250px;
  margin: 5rem auto 2rem;
  opacity: 0.1; 
  
}
.forest{
  width: auto;
  opacity: 0.1; 
  border-bottom: 15px solid #1fad5f; 
}
#mount{
  width: auto;
  opacity: 0.04; 
}


@media screen and (min-width: 1600px){
  #gallery{
    margin-top: 15rem;
  }
 
}

#man{
  background: url('rimgs/man-mountain.webp') top/cover no-repeat;
  width: 300px;
  height: 40px;
  opacity: 0.2; 
  margin: 0 auto;
}


  /* About section  */

  #rila-lakes-main{
  text-align: center;
  padding: 1rem 0.5rem;
  font-size: 2.5rem;
  text-transform: capitalize;
  margin: 5rem 0 2rem;
  }

  #rila-lakes-underline{
  background: var(--green);
  margin: 0 auto;
  width: 12rem;
  height: 6rem;
  clip-path: polygon(50% 17%, 0 0, 100% 0);
  }

#the-lakes{
  text-align: center;
  margin-top: 3rem;
}

#the-lakes p {
 margin: 0.5rem 1.2rem;
  /* font-size: 14px; */
  letter-spacing: 0.1rem;
  line-height: 1.5;
  text-align: justify;
  color: var(--lightDark);
}
.section-padding{
  padding: 3rem 0;
}


.grid-container{
  max-width: 90vw;
  margin: 3rem auto 6rem;
  display: grid;
  grid-row-gap: 0.5rem;
}

.lake-title{
  padding: 1rem 0.5rem;
}
.lake-title-left{
  margin-left: 10rem;
}

.lake-title-name{
  font-size: 2rem;
  text-transform: capitalize;
}

.lake-title-underline{
  background: var(--green);
  margin-top: 1rem;
  width: 5rem;
  height: 0.25rem;
}

.lake-title-text{
  /* font-size: 14px; */
  letter-spacing: 0.1rem;
  line-height: 1.5;
  margin-top: 1rem;
  color: var(--lightDark);
}


.lake-container{
  display: grid;
  grid-gap: 3rem;
}

.lake-img{
  width: 100%;
  /* display: block;
  height: 100%; */
  border-radius: 0.25rem;
}

.lake-img-item{
  width: 100%;
  border-radius: 0.25rem;
}




/* end of about section */

#gallery p{
  margin: 0.5rem 1.2rem;
  /* font-size: 14px; */
  letter-spacing: 0.1rem;
  line-height: 1.5;
  text-align: justify;
  color: var(--lightDark);
}




.gallery-container{
  max-width: 90vw;
  margin: 2rem auto;
}

.gallery-item-img{
  width: 100%;
  height: 100%;
  display: block;
  transition: all 1s linear;
}


.gallery-item{
  background:linear-gradient(var(--green), var(--green));
  overflow: hidden;
  margin-top: 1rem;
  position: relative;
}

.gallery-item:hover .gallery-item-img{
  opacity: 0.5;
  transform: scale(1.2);
}

.gallery-item-icon{
  
  position: absolute;
  color: var(--green);
  top: 50%;
  left: 50%;
  display: inline-block;
  font-size: 3rem;
  text-decoration: none;
  transition: all 0.5s ease;
  transform: scale(0);
}

.gallery-item-icon img{
  width: 40px;
  transition: all 0.5s ease;
}

.gallery-item:hover .gallery-item-icon{
  transform: scale(1.3) translate(-50%,-50%);
}

.gallery-item-icon img:hover{
  background: #1db86d;
  border-radius: 50%;
  cursor: pointer;
}

@media screen and (min-width:576px){
.gallery-container{
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-gap: 1rem;
}

}

@media screen and (min-width: 1100px){
  .gallery-container{
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: repeat(4, 1fr);
    grid-template-areas: 
    "one one two three"
    "one one four four"
    "five six seven seven"
    "eight nine seven seven"
    ;
  }

  .item-1{
    grid-area: one;
  }
  .item-2{
    grid-area: two;
  }
  .item-3{
    grid-area: three;
  }
  .item-4{
    grid-area: four;
  }
  .item-5{
    grid-area: five;
  }
  .item-6{
    grid-area: six;
  }
  .item-7{
    grid-area: seven;
  }
  .item-8{
    grid-area: eight;
  }
  .item-9{
    grid-area: nine;
  }
}

/* modal */

.gallery-modal{
  display: none;
}

.gallery-modal-show{
  position: fixed;
  background: rgba(0, 0, 0, 0.5);
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  z-index: 999;
  display: grid;
  justify-content: center;
  align-items: center;
}

.gallery-modal-item{
  background: url('rimgs/mountain-5.webp')center/cover;
  height: 70%;
  width: 80vw;
  border: 0.2rem solid var(--white);
  border-radius: 0.4rem;
}



.gallery-modal-close{
  
  position: fixed;
  background: var(--green);
  bottom: 7%;
  right: 7%;
  transition: color 0.5s linear;
  cursor: pointer;
  text-decoration: none;
  display: inline-block;
}

.gallery-modal-close img{
  width: 40px;
 transition: color 0.5s linear;
}

.gallery-modal-close:hover{
  background: red;
}

.teacher{
  padding-top: 3rem;
  background: var(--green);
  color: var(--white);
  
}
.teacher-title{
  margin-top: 5rem ;
text-align: center; 
}
.dun{
  background-color: var(--white);
}

.bgimage{
  background:url('./rimgs/lakes-7.webp') center/cover fixed no-repeat;
  height: 500px;
  width: auto;
}

.contact-container{
  max-width: 90vw;
  margin: 0 auto;
  display: grid;
  grid-row-gap: 1rem;
}

.contact-info{
  display: grid;
  justify-content: center;
}

.contact-item{
  margin: 1rem 0;
  padding: 0.5rem;
}

.contact-item-icon{
  font-style: 3rem;
  color: var(--yellow);
}

.contact-item-title{
  text-transform: uppercase;
  margin: 0.5rem 0;
  letter-spacing: 0.25rem;
  font-style: italic;
}

.contact-item-text{
  font-size: 1rem;
  text-transform: uppercase;
  color: var(--grey);
}


#footer{
  max-width: 100vw;
  background: var(--brown);
  color: var(--white);
  text-align: center;
  
}

.section-title-name-footer{ 
  padding: 1rem;
  font-size: 1.5rem;
  text-transform: capitalize;
}

#footer a{
  text-decoration: none;
  color: var(--white);
}


@media screen and (min-width: 990px){
  #navBtn{

  outline: 2px solid green;
  outline-offset: 3px;
}
  .banner-title{
    font-size: 3.5rem;
  }
  .seven-lakes{
    font-size: 2.2rem;
  }
  
  .banner-title-h4{
    font-size: 1.5rem;
  }
  .rila-title{
  font-size: 3rem;
}
#rila-title-underline{
  width: 15rem;
  height: 8rem;
}

  #rila-section{
     width: 90%;
     margin: 0.5rem auto;
     font-size: 1.2rem;
  }

  #rila-lakes-main{
  padding: 1rem 0.5rem;
  font-size: 3rem;
  }
  #rila-lakes-underline{
    width: 15rem;
    height: 8rem;
  }
  #the-lakes p {
  width: 90%;
  margin: 0.5rem auto;
  font-size: 1.2rem;
}

.lake-title{
  padding: 1rem 0.5rem;
}
.lake-title-left{
  margin-left: 10rem;
}

.lake-title-name{
  font-size: 3rem; 
}

.lake-title-text{
  font-size: 16px;
}

#gallery p{
  width: 90%;
  margin: 0.5rem auto;
  font-size: 1.2rem;
}
.contact-info{
    grid-template-columns: repeat(3, 1fr);
    order: -1;
  }
  .work-modal-item{
    height: 80vh;
    width: 60vw;
  }

  .grid-container-medium-2{
    display: grid;
    grid-template-rows: 1fr;
    grid-column-gap: 2rem;
  }

.lake-img-item{
  outline: 3px solid #fef3f3;
  outline-offset: 5px; 
}
.lake-img-special{
    order: -1;
  }
  .lake-container{
    grid-template-columns: 1fr 1fr;
  }
}





@media screen and (min-width: 992px){
  .contact-info{
    grid-template-columns: 1fr;
    order: 0;
  }
  .contact-container{
    display: grid;
    grid-template-columns: 2fr 1fr;
    grid-column-gap: 2rem;
  }
  .contact-map{
    align-self: center;
  }

}
@media screen and (min-width: 1500px){
  .banner{
  padding-top: 12rem;
}

.banner-title{
  font-size: 4rem;
}

.rila-title{
  font-size: 3.5rem;
}

#rila-lakes-main{
  font-size: 3.5rem;
}
.seven-lakes{
  font-size: 2.5rem;
}

.banner-title-h4{
  font-size: 3rem;
}

.bgimage{
  height: 800px;
}

p{
  font-size: 1.5rem;
}

#the-lakes p{
  font-size: 1.5rem;
}
#navBtn{
  font-size: 1rem;
  padding: 0.6rem 1.2rem;
  letter-spacing: .3rem;
}

.lake-title-name{
  font-size: 2.5rem;
}

.lake-title-text{
  font-size: 1.5rem;
}
#gallery p{
  font-size: 1.5rem;
}

}

@media screen and (min-width: 1800px) {
  .banner {
    padding-top: 14rem;
  }

  .banner-title {
    font-size: 4.4rem;
  }

  .rila-title {
    font-size: 3.9rem;
  }

  #rila-lakes-main {
    font-size: 3.9rem;
  }

  .seven-lakes {
    font-size: 2.9rem;
  }

  .banner-title-h4 {
    font-size: 3.2rem;
  }

  

  p {
    font-size: 1.8rem;
  }

  #the-lakes p {
    font-size: 1.8rem;
  }

  #navBtn {
    font-size: 1.2rem;
    padding: 0.6rem 1.2rem;
    letter-spacing: .3rem;
  }

  .lake-title-name {
    font-size: 2.9rem;
  }

  .lake-title-text {
    font-size: 1.8rem;
  }

  #gallery p {
    font-size: 1.8rem;
  }

}

@media screen and (min-width: 2200px){
  .nav-show{
    width: 20rem;
  }
.nav-single-link{
  font-size: 2.4rem;
}


.banner-title {
  font-size: 5rem;
}

.rila-title {
  font-size: 4.3rem;
}

#rila-lakes-main {
  font-size: 4.2rem;
}

.seven-lakes {
  font-size: 4.2rem;
}

.banner-title-h4 {
  font-size: 3.5rem;
}



p {
  font-size: 2.1rem;
}

#the-lakes p {
  font-size: 2.1rem;
}

#navBtn {
  font-size: 1.4rem;
  padding: 0.6rem 1.2rem;
  letter-spacing: .3rem;
}

.lake-title-name {
  font-size: 3.2rem;
}

.lake-title-text {
  font-size: 2.1rem;
}

#gallery p {
  font-size: 2.1rem;
}
}

@media screen and(max-width: 650px){
  .header{
    background: linear-gradient(to bottom, rgba(29, 184, 109, 0.2), rgba(29, 184, 109, 0.4)), url('./rimgs/mountain-14Phone45.webp') center/cover fixed no-repeat;
  }

  .bgimage{
  background:url('./rimgs/lakes-7Phone.webp') center/cover fixed no-repeat;
  height: 500px;
  width: auto;
}

}

@media screen and (max-width: 450px){
  
.lake-img-item{
  width: 355px;
  height: 222px;
  border-radius: 0.25rem;
}
.gallery-item{
  background: none;
}

.gallery-item-img{
  width: 362.2px;
  height: 100%;
  display: block;
  transition: all 1s linear;
}
}
@media screen and (max-width: 400px){
  
.lake-img-item{
  width: 325px;
  height: 222px;
  border-radius: 0.25rem;
}
.gallery-item-img{
  width: 323.2px;
  height: 100%;
  
}
}


@media screen and (max-width: 330px){
  
.lake-img-item{
  width: 280px;
  height: 200px;
 
}
}
@media screen and (max-width: 300px){
  
.lake-img-item{
  width: 250px;
  height: 200px;
 
}
}
